
package com.tmerclub.cloud.multishop.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * @Author lth
 * @Date 2021/5/21 14:07
 */
@Data
public class ShopAccountDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "密码")
    private String password;

    @Schema(description = "店铺id")
    private Long shopId;
}
