
package com.tmerclub.cloud.api.feign;


import com.tmerclub.cloud.common.order.bo.EsOrderBO;
import com.tmerclub.cloud.common.order.dto.OrderSearchDTO;

import java.util.List;


/**
 * 订单搜索
 *
 * @author tmerclub
 * @date 2021/02/05
 */
public interface EsOrderFeignClient {
    /**
     * 分页获取订单信息
     *
     * @param orderId
     * @return
     */
    void updateOrder(Long orderId);


    /**
     * 获取待发货订单
     * @param orderSearchDTO
     * @return
     */
    List<EsOrderBO> getUndeliveryOrder(OrderSearchDTO orderSearchDTO);


}
