package com.tmerclub.cloud.order.feign;

import com.tmerclub.cloud.api.order.bo.EsAllotOrderBO;
import com.tmerclub.cloud.api.order.feign.AllotOrderFeignClient;
import com.tmerclub.cloud.order.service.AllotOrderService;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @author gaozijie
 * @since 2023-11-24
 */
@DubboService
public class AllotOrderFeignController implements AllotOrderFeignClient {

    @Autowired
    private AllotOrderService allotOrderService;

    @Override
    public EsAllotOrderBO saveMongoAndGetEsInfo(Long allotOrderId) {
        return allotOrderService.saveMongoAndGetEsInfo(allotOrderId);
    }

    @Override
    public Long countUnFinish(Long warehouseId) {
        return allotOrderService.countUnFinish(warehouseId);
    }
}
