
package com.tmerclub.cloud.multishop.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * 用户店铺收藏记录DTO
 *
 * @author lhd
 * @date 2021-02-23 14:41:42
 */
@Data
public class ShopCollectionDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "收藏自增id")
    private Long collectionId;

    @Schema(description = "店铺id")
    private Long shopId;


}
