
package com.tmerclub.cloud.multishop.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;


/**
 * 店铺扩张信息
 *
 * @author YXF
 * @date 2021-02-05 15:36:12
 */
@Data
public class ShopExtension extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     *
     */
    private Long shopExtensionId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 店铺商品总销量
     */
    private Integer saleNum;

    /**
     * 店铺收藏数量
     */
    private Long collectionNum;
}
