
package com.tmerclub.cloud.multishop.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

/**
 * @author tmerclub
 * @date 2020/9/2
 */
@Data
public class ShopUserSimpleVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 店铺名称
     */
    @Schema(description = "店铺名称")
    private String shopName;

    /**
     * 头像
     */
    @Schema(description = "头像")
    private String avatar;

    private Integer isAdmin;

    @Schema(description = "店铺是否已经入驻 0: 未入驻，1：已入驻")
    private Integer isPassShop;

    private Long tenantId;

    private Long userId;

    /**
     * 用户名称
     */
    @Schema(description = "用户名称")
    private String userName;



}
