
package com.tmerclub.cloud.coupon.mapper;

import com.tmerclub.cloud.coupon.model.CouponUser;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 优惠券用户关联信息
 * @author YXF
 */
public interface CouponUserMapper {

    /**
     * 获取保存到mongodb的领券记录
     * @param start
     * @param size
     * @return
     */
    List<CouponUser> listToMongodb(@Param("start") int start, @Param("size") int size);
}
