
package com.tmerclub.cloud.user.feign;

import com.tmerclub.cloud.api.user.dto.UserScoreLockDTO;
import com.tmerclub.cloud.api.user.feign.UserScoreLockFeignClient;
import com.tmerclub.cloud.common.response.ServerResponseEntity;
import com.tmerclub.cloud.user.service.UserScoreLockService;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * @author tmerclub
 * @date 2021/5/19
 */
@DubboService
public class UserScoreLockFeignController implements UserScoreLockFeignClient {

    @Autowired
    private UserScoreLockService userScoreLockService;

    @Override
    public ServerResponseEntity<Void> lock(List<UserScoreLockDTO> userScoreLocks) {
        userScoreLockService.lock(userScoreLocks);
        return ServerResponseEntity.success();
    }
}
